unit Component;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Psock, NMFtp, ComCtrls;

type
  THauptformular = class(TForm)
    Host: TEdit;
    User: TEdit;
    Password: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    FTP: TNMFTP;
    Connect: TButton;
    Disconnect: TButton;
    Directory: TEdit;
    Label4: TLabel;
    ChangeDir: TButton;
    ListDir: TButton;
    Files: TMemo;
    ServerName: TEdit;
    ClientName: TEdit;
    Get: TButton;
    Label5: TLabel;
    Label6: TLabel;
    StatusBar: TStatusBar;
    SaveDialog: TSaveDialog;
    Choose: TButton;
    procedure ConnectClick(Sender: TObject);
    procedure DisconnectClick(Sender: TObject);
    procedure ChangeDirClick(Sender: TObject);
    procedure ListDirClick(Sender: TObject);
    procedure FTPListItem(Listing: String);
    procedure GetClick(Sender: TObject);
    procedure FTPFailure(var Handled: Boolean; Trans_Type: TCmdType);
    procedure FTPStatus(Sender: TComponent; Status: String);
    procedure ChooseClick(Sender: TObject);
  private
    { Private-Deklarationen}
  public
    { Public-Deklarationen}
  end;

var
  Hauptformular: THauptformular;

implementation

{$R *.DFM}

procedure THauptformular.ConnectClick(Sender: TObject);
begin
  FTP.Host := Host.Text;
  FTP.UserId := User.Text;
  FTP.Password := Password.Text;
  FTP.Connect;
  Directory.Text := FTP.CurrentDir
end;

procedure THauptformular.DisconnectClick(Sender: TObject);
begin
  Directory.Text := '';
  Files.Clear;
  FTP.Disconnect;
end;

procedure THauptformular.ChangeDirClick(Sender: TObject);
begin
  Files.Clear;
  FTP.ChangeDir(Directory.Text);
end;

procedure THauptformular.ListDirClick(Sender: TObject);
begin
  ChangeDirClick(Sender);
  FTP.List
end;

procedure THauptformular.FTPListItem(Listing: String);
begin
  Files.Lines.Add(Listing)
end;

procedure THauptformular.GetClick(Sender: TObject);
begin
  FTP.Mode(MODE_ASCII);
  FTP.Download(ServerName.Text,ClientName.Text);
end;

procedure THauptformular.FTPFailure(var Handled: Boolean; Trans_Type: TCmdType);
begin
  Files.Clear;
  Files.Lines.Add('ERROR: ChangeDir failed');
  Handled := True;
end;

procedure THauptformular.FTPStatus(Sender: TComponent; Status: String);
begin
  StatusBar.Panels[0].Text := FTP.Status;
end;

procedure THauptformular.ChooseClick(Sender: TObject);
begin
   SaveDialog.Execute;
   ClientName.Text := SaveDialog.FileName
end;

end.
